update puppet classes broken

12/30/2011 08:37 AM - Florian Koch

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

the puppet class update from more -> puppet classes are broken

1. look at puppet classes1.png the changes are detected but if i try "update" i get classes1.png

Associated revisions

Revision fc38fccd - 01/03/2012 01:59 PM - Florian Koch

fixes #1417 - update puppet classes broken

Signed-off-by: Florian Koch <florian.koch1981@googlemail.com>

History

#1 - 01/01/2012 04:19 AM - Ohad Levy

can you please add the relevant foreman logs?

#2 - 01/03/2012 01:28 PM - Florian Koch

Hi,

Started GET "/puppetclasses/import_environments" for 10.62.251.10 at Tue Jan 03 19:09:31 +0100 2012

  Processing by PuppetclassesController#import_environments as HTML

Rendered bookmarks/_list.html.erb (2.4ms)

Rendered bookmarks/_list.html.erb (108.3ms)

Rendered home/_settings.html.erb (8.2ms)

Rendered home/_user_dropdown.rhtml (1.0ms)

Rendered home/_topbar.rhtml (129.4ms)

Rendered common/_puppetclasses_or_envs_changed.html.erb within layouts/application (137.9ms)

Completed 200 OK in 289ms (Views: 137.8ms | ActiveRecord: 10.9ms)

Started POST "/puppetclasses/obsolete_and_new" for 10.62.251.10 at Tue Jan 03 19:09:34 +0100 2012

ActionController::RoutingError (No route matches "/puppetclasses/obsolete_and_new"):

 rgds florian

#3 - 01/03/2012 01:49 PM - Florian Koch

Patch:

http://groups.google.com/group/foreman-dev/browse_thread/thread/6d865ab5b3547fc2

#4 - 01/03/2012 02:03 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fc38fccdf83b93f6437cb34d0d40a016970044a3.
#5 - 01/03/2012 02:05 PM - Florian Koch

- Status changed from Closed to Assigned

- Target version set to 1.0

- % Done changed from 100 to 0

#6 - 01/03/2012 02:05 PM - Florian Koch

- Status changed from Assigned to Closed
